using UnityEngine;
using UnityEngine.Splines;


public class Checkpoint : MonoBehaviour
{
    public float newSpeed; // New speed to set when an object enters the checkpoint

    void OnTriggerEnter(Collider other)
    {
        // Check if the entering object has a SplineVariableSpeed component
        SplineAnimate splineAnimate = other.GetComponent<SplineAnimate>();
        if (splineAnimate != null)
        {
            float currentTime = splineAnimate.NormalizedTime; 
            splineAnimate.MaxSpeed = newSpeed;
            splineAnimate.NormalizedTime = currentTime; 
            splineAnimate.MaxSpeed = newSpeed;
            Debug.Log("Max Speed set to: " + newSpeed);
        }
    }
}
