using UnityEngine;
using UnityEngine.Splines;
public class NewMonoBehaviourScript : MonoBehaviour
{
    public float newSpeed; // New speed to set when entering the collider
    public SplineAnimate splineAnimate;

    // Start is called once before the first execution of Update after the MonoBehaviour is created
    void Start()
    {
        if (splineAnimate != null)
        {
            LogMaxSpeed();
        }
    }

    // Update is called once per frame
    void Update()
    {
       LogMaxSpeed();
    }
    void OnTriggerEnter(Collider other)
    {
        // Check if the object has entered the box collider
        if (other.CompareTag("Checkpoint"))
        {
            // Set the MaxSpeed property of the SplineAnimate component
            SetMaxSpeed(newSpeed);
            Debug.Log("Max Speed set to: " + newSpeed);
        }
    }
    void LogMaxSpeed()
    {
        // Log the MaxSpeed of the SplineAnimate component
        Debug.Log("Max Speed: " + splineAnimate.MaxSpeed);
    }

    void SetMaxSpeed(float speed)
    {
        // Set the MaxSpeed of the SplineAnimate component
        splineAnimate.MaxSpeed = speed;
    }
}
